#
# Copyright 2018 Scytl Secure Electronic Voting SA
#
# All rights reserved
#
# See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
#

# Default configuration file for SDM. All these can be overridden in an external sdm.properties

## if we need to use some other configuration folder and base 'name' for configuration file,
# we can use the following cmdline;
#java -jar "app.jar" --spring.config.location="${user.home}/sdm/sdmConfig/" --spring.config.name="sdm"

## additional configuration files
download.config.source=file:${user.home}/sdm/sdmConfig/admin_portal.properties
upload.config.source=file:${user.home}/sdm/sdmConfig/voting_portal.properties
# sdm.config.source=file:${user.home}/sdm/sdmConfig/sdm.properties
adapter.properties=file:${user.home}/sdm/sdmConfig/adapter.properties
SDM_KEYSTORE_PASSWORD_FILE=${user.home}/sdm/sdmConfig/keystore.properties

# Backend services configuration
## server host and port configuration
backend.server.host=localhost
backend.server.port=8080

## services urls
DECRYPTION_URL=http://${backend.server.host}:${backend.server.port}/decrypt
COUNTING_URL=http://${backend.server.host}:${backend.server.port}/counting
TALLYING_URL=http://${backend.server.host}:${backend.server.port}/tallying
CREATE_BALLOT_BOX_URL=http://${backend.server.host}:${backend.server.port}/config-generator/createBallotBoxes
CREATE_ELECTORAL_BOARD_KEYS_URL=http://${backend.server.host}:${backend.server.port}/config-generator/createElectoralBoardKeyPair
CREATE_ELECTION_EVENT_URL=http://${backend.server.host}:${backend.server.port}/config-generator/createElectionEvent
CREATE_VOTING_CARD_SET_URL=http://${backend.server.host}:${backend.server.port}/config-generator/createVotingCardSet
CREATE_CLEANSING_DATA_URL=http://${backend.server.host}:${backend.server.port}/config-generator/cleansingdata
CLEANSING_URL=http://${backend.server.host}:${backend.server.port}/cleansing
PROGRESS_URL=http://${backend.server.host}:${backend.server.port}/config-generator/progress
MIXING_URL=http://${backend.server.host}:${backend.server.port}/mixing/execute
CONFIG_GENERATOR_URL=http://${backend.server.host}:${backend.server.port}/config-generator

## default smartcard puk to use when writing shares into smartcards
smartcards.puk=222222

## internal server port
server.port=8090

## cryptolib specific configurations
services.cryptolib.pool.size=20
services.cryptolib.timeout=-1

## database location
database.path=plocal:${user.home}/sdm/sdmDB

## location of contests configuration json file
elections.config.filename=${user.home}/sdm/sdmConfig/elections_config.json

## enable/disable two-phase vote confirmation
confirmation.required=true

# UI/feature toggling configuration

## enable/disable button for generating pre-voting additional outputs
generatePreVotingOutputs.enabled=true
## enable/disable button for generating post-voting additional outputs
generatePostVotingOutputs.enabled=true
## enable/disable button for allowing election event 'participation' report downloading
downloadParticipation.enabled=true
## enable/disable button for importing and exports election event data
importExport.enabled=true
## enable/disable button for voting card generation preparation
vcGenerationPreparation.enabled=true
## enable/disable button for voting card precomputation
vcPrecomputation.enabled=true
## enable/disable button for voting card computation
vcComputation.enabled=true
## enable/disable button for computed voting card download
vcDownload.enabled=true

# Tallying service configuration
## enable/disable tallying service
tallying.enabled=true


read.time.out=300
write.time.out=300
connection.time.out=300
